#
# spec file for package ebook-tools
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ebook-tools
Summary:        A library for reading ebook files
License:        MIT
Group:          Development/Libraries/C and C++
Version:        0.2.2
Release:        lp150.1.9
Url:            http://sourceforge.net/projects/ebook-tools
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libxml2-devel
BuildRequires:  libzip-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %name-%{version}.tar.gz
Source1:        baselibs.conf
Patch1:         ebook-tools-64bit-installation.diff
Patch2:         ebook-tools-visibility-hidden.patch

%description
ebook-tools provides some tools to handle ebook files

%package -n libepub0
Summary:        A library for reading ebook files
Group:          Development/Libraries/C and C++

%description -n libepub0
libepub library is needed for okular to support ebook format.

%package -n libepub-devel
Summary:        Header files for libepub library
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libepub0 = %{version}

%description -n libepub-devel
Header files for the libepub library


%prep
%setup
%patch1 -p1
%patch2

%build
mkdir build
cd build
  export CFLAGS=$RPM_OPT_FLAGS
  export CXXFLAGS=$RPM_OPT_FLAGS
  export LDFLAGS="-Wl,-Bsymbolic-functions $LDFLAGS"
  _libsuffix=$(echo %_lib | cut -b4-)
  cmake -DCMAKE_SKIP_RPATH=ON -DCMAKE_INSTALL_PREFIX=%_prefix -DLIB_SUFFIX="$_libsuffix" ..
%{__make} %{?_smp_mflags} VERBOSE=1

%install
cd build
%{__make} install DESTDIR=%{buildroot}
nm -C -D %{buildroot}%{_libdir}/libepub.so.*

%post -n libepub0 -p /sbin/ldconfig

%postun -n libepub0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/einfo
%{_bindir}/lit2epub

%files -n libepub0
%defattr(-,root,root)
%{_libdir}/libepub.so.*

%files -n libepub-devel
%defattr(-,root,root)
%{_includedir}/epub.h
%{_includedir}/epub_version.h
%{_includedir}/epub_shared.h
%{_libdir}/libepub.so

%changelog
* Wed Jun  4 2014 hrvoje.senjan@gmail.com
- Add baselibs.conf
* Sat Oct 12 2013 hrvoje.senjan@gmail.com
- Update to 0.2.2 (bnc#845629, kde#325909)
  * Bugfix release, no upstream changelog provided
* Tue Jul 16 2013 tchvatal@suse.com
- xz was added to buildrequires and it was formatted.
* Thu Dec 29 2011 crrodriguez@opensuse.org
- Use GCC visibility, which shrinks the symbol table
  to less than a half of the actually size
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
* Wed Mar 23 2011 coolo@novell.com
- update to 0.2.1:
  installs epub_version.h now
- fix build with libzip
* Fri Sep 10 2010 ctrippe@gmx.net
- update to new version 0.2.0
  This release contains major bug fixes.
  Among them crash bugs/security bugs.
  Update recommended
* Wed Jul 22 2009 llunak@suse.cz
- build fixes
